header {
    position: relative; 
    width: 100%;
    min-height: 50px; 
    padding: 0;
}

.lang-switch-btn {
    width: 80px;
    position: absolute;
    top: 50px;
    right: 0;
    background-color: #0047FF; 
    color: white;
    padding: 15px 30px; 
    font-size: 24px;
    font-weight: 600;
    text-decoration: none;
    line-height: 1;
    display: block;
    cursor: pointer;
    border-top-left-radius: 6px; 
    border-bottom-left-radius: 6px; 
    padding-left: 20px;
    z-index: 100; 
}

.course-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 71, 255, 0.1); 
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.3s, opacity 0.3s;
}

.course-modal[aria-hidden="false"] {
    visibility: visible;
    opacity: 1;
}

body.modal-open {
    overflow: hidden;
}

.language-modal .modal-content {
    background-color: #0047FF; 
    color: white;
    border-radius: 36px; 
    max-width: 960px;
    padding: 100px 300px; 
    text-align: center;
    position: relative;
    background-repeat: repeat; 
    background-position: center center;
    background-size: cover; 
    transform: scale(0.9);
    transition: transform 0.3s ease-out;
}

.course-modal[aria-hidden="false"] .modal-content {
    transform: scale(1);
}

.language-modal .modal-title {
    color: white;
    font-size: 30px;
    margin-bottom: 20px;
}

.language-modal p {
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 15px;
}

.language-modal .modal-email a {
    color: white;
    font-weight: bold;
    text-decoration: underline;
    font-size: 18px;
    margin-top: 20px;
    display: inline-block;
}

.modal-content .modal-close-btn {
    position: absolute;
    top: 15px;
    right: 15px; 
    background: white; 
    border: none;
    cursor: pointer;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 3px; 
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
    z-index: 1010; 
}

.modal-backdrop {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    cursor: pointer;
}

@media (max-width: 720px) {
    .lang-switch-btn {
        position: fixed;
        top: 20px;
    }

    .language-modal .modal-content {
        max-width: 100%;
        padding: 40px 20px;
    }
}